/*
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * "The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * The Original Code is ICEpdf 4.1 open source software code, released
 * May 1st, 2009. The Initial Developer of the Original Code is ICEsoft
 * Technologies Canada, Corp. Portions created by ICEsoft are Copyright (C)
 * 2004-2010 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 *
 * Contributor(s): _____________________.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"
 * License), in which case the provisions of the LGPL License are
 * applicable instead of those above. If you wish to allow use of your
 * version of this file only under the terms of the LGPL License and not to
 * allow others to use your version of this file under the MPL, indicate
 * your decision by deleting the provisions above and replace them with
 * the notice and other provisions required by the LGPL License. If you do
 * not delete the provisions above, a recipient may use your version of
 * this file under either the MPL or the LGPL License."
 *
 */
package org.icepdf.core.pobjects.graphics;

import org.icepdf.core.pobjects.functions.Function;
import org.icepdf.core.util.Library;

import java.awt.*;
import java.util.Hashtable;
import java.util.Vector;

/**
 * <p>Currently not support, type 1 algorithm defines a colour for each
 * coordinate in the space which will be difficult to calculate efficiently.
 * However the background attribute could be used as a fill colour in some
 * circumstances.  Once we get a few test cases we can give it a try. </p>
 *
 * @author ICEsoft Technologies Inc.
 * @since 3.0
 */
public class ShadingType1Pattern extends ShadingPattern {

    // domain, optional, array of four numbers
    protected Vector domain;

    protected Vector matrix;

    protected Function function;

    public ShadingType1Pattern(Library library, Hashtable entries) {
        super(library, entries);
    }

    public synchronized void init() {

        // get type 3 specific data.
        inited = true;
    }

    /**
     * Not implemented
     *
     * @return will always return null;
     */
    public Paint getPaint() {
        return null;
    }


    public String toSting() {
        return super.toString() +
                "\n                    domain: " + domain +
                "\n                    matrix: " + matrix +
                "\n                 function: " + function;
    }
}
